> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Doc

> Get a document from a DocSet.

Args:
    docset_id: The ID of the DocSet
    doc_id: The ID of the document

Returns:
    Document: Document data including elements, embeddings, metadata, and binary data



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}/docs/{doc_id}
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets/{docset_id}/docs/{doc_id}:
    get:
      tags:
        - Document
      summary: Get Doc
      description: |-
        Get a document from a DocSet.

        Args:
            docset_id: The ID of the DocSet
            doc_id: The ID of the document

        Returns:
            Document: Document data including elements, embeddings, metadata, and binary data
      operationId: get_doc_v1_storage_docsets__docset_id__docs__doc_id__get
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            title: Docset Id
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            title: Doc Id
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_get_doc_v1_storage_docsets__docset_id__docs__doc_id__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_get_doc_v1_storage_docsets__docset_id__docs__doc_id__get:
      properties:
        include_elements:
          type: boolean
          title: Include Elements
          default: true
        include_binary:
          type: boolean
          title: Include Binary
          default: false
      type: object
      title: Body_get_doc_v1_storage_docsets__docset_id__docs__doc_id__get
    Document:
      properties:
        id:
          type: string
          title: Id
          description: The unique id for the Document.
        elements:
          items:
            $ref: '#/components/schemas/Element'
          type: array
          title: Elements
          description: The elements contained in the Document.
          default: []
        properties:
          additionalProperties: true
          type: object
          title: Properties
          description: A map of properties for the Document.
          default: {}
        binary_data:
          anyOf:
            - type: string
            - type: 'null'
          title: Binary Data
          description: The binary content of the document, encoded as a base64 string.
      type: object
      required:
        - id
      title: Document
      description: ''
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Element:
      properties:
        id:
          type: string
          title: Id
          description: The unique id for the Element.
        type:
          type: string
          title: Type
          description: The type of the Element.
        text_representation:
          anyOf:
            - type: string
            - type: 'null'
          title: Text Representation
          description: The text representation of the Element.
        embedding:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Embedding
          description: The vector embedding of the Element.
        properties:
          additionalProperties: true
          type: object
          title: Properties
          description: A map of properties for the Element.
          default: {}
        bbox:
          prefixItems:
            - type: number
            - type: number
            - type: number
            - type: number
          type: array
          maxItems: 4
          minItems: 4
          title: Bbox
          description: The bounding box of the Element.
      type: object
      required:
        - id
        - type
        - text_representation
        - embedding
        - bbox
      title: Element
      description: ''
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````